;;;;
;;;;  x11-color.scm -- allows access to x11 color codes
;;;;
;;;;  source file of the GNU LilyPond music typesetter
;;;; 
;;;; (c) 2005--2009 Bernard Hurley <bernard@fong-hurley.org.uk>
;;;;

(define x11-color-list 	    
  '((snow 1 0.98039215686274506 0.98039215686274506)
    (GhostWhite 0.97254901960784312 0.97254901960784312 1)
    (WhiteSmoke 0.96078431372549022 0.96078431372549022 0.96078431372549022)
    (gainsboro 0.86274509803921573 0.86274509803921573 0.86274509803921573)
    (FloralWhite 1 0.98039215686274506 0.94117647058823528)
    (OldLace 0.99215686274509807 0.96078431372549022 0.90196078431372551)
    (linen 0.98039215686274506 0.94117647058823528 0.90196078431372551)
    (AntiqueWhite 0.98039215686274506 0.92156862745098034 0.84313725490196079)
    (PapayaWhip 1 0.93725490196078431 0.83529411764705885)
    (BlanchedAlmond 1 0.92156862745098034 0.80392156862745101)
    (bisque 1 0.89411764705882357 0.7686274509803922)
    (PeachPuff 1 0.85490196078431369 0.72549019607843135)
    (NavajoWhite 1 0.87058823529411766 0.67843137254901964)
    (moccasin 1 0.89411764705882357 0.70980392156862748)
    (cornsilk 1 0.97254901960784312 0.86274509803921573)
    (ivory 1 1 0.94117647058823528)
    (LemonChiffon 1 0.98039215686274506 0.80392156862745101)
    (seashell 1 0.96078431372549022 0.93333333333333335)
    (honeydew 0.94117647058823528 1 0.94117647058823528)
    (MintCream 0.96078431372549022 1 0.98039215686274506)
    (azure 0.94117647058823528 1 1)
    (AliceBlue 0.94117647058823528 0.97254901960784312 1)
    (lavender 0.90196078431372551 0.90196078431372551 0.98039215686274506)
    (LavenderBlush 1 0.94117647058823528 0.96078431372549022)
    (MistyRose 1 0.89411764705882357 0.88235294117647056)
    (white 1 1 1)
    (black 0 0 0)
    (DarkSlateGray 0.18431372549019609 0.30980392156862746 0.30980392156862746)
    (DarkSlateGrey 0.18431372549019609 0.30980392156862746 0.30980392156862746)
    (DimGray 0.41176470588235292 0.41176470588235292 0.41176470588235292)
    (DimGrey 0.41176470588235292 0.41176470588235292 0.41176470588235292)
    (SlateGray 0.4392156862745098 0.50196078431372548 0.56470588235294117)
    (SlateGrey 0.4392156862745098 0.50196078431372548 0.56470588235294117)
    (LightSlateGray 0.46666666666666667 0.53333333333333333 0.59999999999999998)
    (LightSlateGrey 0.46666666666666667 0.53333333333333333 0.59999999999999998)
    (gray 0.74509803921568629 0.74509803921568629 0.74509803921568629)
    (grey 0.74509803921568629 0.74509803921568629 0.74509803921568629)
    (LightGrey 0.82745098039215681 0.82745098039215681 0.82745098039215681)
    (LightGray 0.82745098039215681 0.82745098039215681 0.82745098039215681)
    (MidnightBlue 0.098039215686274508 0.098039215686274508 0.4392156862745098)
    (navy 0 0 0.50196078431372548)
    (NavyBlue 0 0 0.50196078431372548)
    (CornflowerBlue 0.39215686274509803 0.58431372549019611 0.92941176470588238)
    (DarkSlateBlue 0.28235294117647058 0.23921568627450981 0.54509803921568623)
    (SlateBlue 0.41568627450980394 0.35294117647058826 0.80392156862745101)
    (MediumSlateBlue 0.4823529411764706 0.40784313725490196 0.93333333333333335)
    (LightSlateBlue 0.51764705882352946 0.4392156862745098 1)
    (MediumBlue 0 0 0.80392156862745101)
    (RoyalBlue 0.25490196078431371 0.41176470588235292 0.88235294117647056)
    (blue 0 0 1)
    (DodgerBlue 0.11764705882352941 0.56470588235294117 1)
    (DeepSkyBlue 0 0.74901960784313726 1)
    (SkyBlue 0.52941176470588236 0.80784313725490198 0.92156862745098034)
    (LightSkyBlue 0.52941176470588236 0.80784313725490198 0.98039215686274506)
    (SteelBlue 0.27450980392156865 0.50980392156862742 0.70588235294117652)
    (LightSteelBlue 0.69019607843137254 0.7686274509803922 0.87058823529411766)
    (LightBlue 0.67843137254901964 0.84705882352941175 0.90196078431372551)
    (PowderBlue 0.69019607843137254 0.8784313725490196 0.90196078431372551)
    (PaleTurquoise 0.68627450980392157 0.93333333333333335 0.93333333333333335)
    (DarkTurquoise 0 0.80784313725490198 0.81960784313725488)
    (MediumTurquoise 0.28235294117647058 0.81960784313725488 0.80000000000000004)
    (turquoise 0.25098039215686274 0.8784313725490196 0.81568627450980391)
    (cyan 0 1 1)
    (LightCyan 0.8784313725490196 1 1)
    (CadetBlue 0.37254901960784315 0.61960784313725492 0.62745098039215685)
    (MediumAquamarine 0.40000000000000002 0.80392156862745101 0.66666666666666663)
    (aquamarine 0.49803921568627452 1 0.83137254901960789)
    (DarkGreen 0 0.39215686274509803 0)
    (DarkOliveGreen 0.33333333333333331 0.41960784313725491 0.18431372549019609)
    (DarkSeaGreen 0.5607843137254902 0.73725490196078436 0.5607843137254902)
    (SeaGreen 0.1803921568627451 0.54509803921568623 0.3411764705882353)
    (MediumSeaGreen 0.23529411764705882 0.70196078431372544 0.44313725490196076)
    (LightSeaGreen 0.12549019607843137 0.69803921568627447 0.66666666666666663)
    (PaleGreen 0.59607843137254901 0.98431372549019602 0.59607843137254901)
    (SpringGreen 0 1 0.49803921568627452)
    (LawnGreen 0.48627450980392156 0.9882352941176471 0)
    (green 0 1 0)
    (chartreuse 0.49803921568627452 1 0)
    (MediumSpringGreen 0 0.98039215686274506 0.60392156862745094)
    (GreenYellow 0.67843137254901964 1 0.18431372549019609)
    (LimeGreen 0.19607843137254902 0.80392156862745101 0.19607843137254902)
    (YellowGreen 0.60392156862745094 0.80392156862745101 0.19607843137254902)
    (ForestGreen 0.13333333333333333 0.54509803921568623 0.13333333333333333)
    (OliveDrab 0.41960784313725491 0.55686274509803924 0.13725490196078433)
    (DarkKhaki 0.74117647058823533 0.71764705882352942 0.41960784313725491)
    (khaki 0.94117647058823528 0.90196078431372551 0.5490196078431373)
    (PaleGoldenrod 0.93333333333333335 0.90980392156862744 0.66666666666666663)
    (LightGoldenrodYellow 0.98039215686274506 0.98039215686274506 0.82352941176470584)
    (LightYellow 1 1 0.8784313725490196)
    (yellow 1 1 0)
    (gold 1 0.84313725490196079 0)
    (LightGoldenrod 0.93333333333333335 0.8666666666666667 0.50980392156862742)
    (goldenrod 0.85490196078431369 0.6470588235294118 0.12549019607843137)
    (DarkGoldenrod 0.72156862745098038 0.52549019607843139 0.043137254901960784)
    (RosyBrown 0.73725490196078436 0.5607843137254902 0.5607843137254902)
    (IndianRed 0.80392156862745101 0.36078431372549019 0.36078431372549019)
    (SaddleBrown 0.54509803921568623 0.27058823529411763 0.074509803921568626)
    (sienna 0.62745098039215685 0.32156862745098042 0.17647058823529413)
    (peru 0.80392156862745101 0.52156862745098043 0.24705882352941178)
    (burlywood 0.87058823529411766 0.72156862745098038 0.52941176470588236)
    (beige 0.96078431372549022 0.96078431372549022 0.86274509803921573)
    (wheat 0.96078431372549022 0.87058823529411766 0.70196078431372544)
    (SandyBrown 0.95686274509803926 0.64313725490196083 0.37647058823529411)
    (tan 0.82352941176470584 0.70588235294117652 0.5490196078431373)
    (chocolate 0.82352941176470584 0.41176470588235292 0.11764705882352941)
    (firebrick 0.69803921568627447 0.13333333333333333 0.13333333333333333)
    (brown 0.6470588235294118 0.16470588235294117 0.16470588235294117)
    (DarkSalmon 0.9137254901960784 0.58823529411764708 0.47843137254901963)
    (salmon 0.98039215686274506 0.50196078431372548 0.44705882352941179)
    (LightSalmon 1 0.62745098039215685 0.47843137254901963)
    (orange 1 0.6470588235294118 0)
    (DarkOrange 1 0.5490196078431373 0)
    (coral 1 0.49803921568627452 0.31372549019607843)
    (LightCoral 0.94117647058823528 0.50196078431372548 0.50196078431372548)
    (tomato 1 0.38823529411764707 0.27843137254901962)
    (OrangeRed 1 0.27058823529411763 0)
    (red 1 0 0)
    (HotPink 1 0.41176470588235292 0.70588235294117652)
    (DeepPink 1 0.078431372549019607 0.57647058823529407)
    (pink 1 0.75294117647058822 0.79607843137254897)
    (LightPink 1 0.71372549019607845 0.75686274509803919)
    (PaleVioletRed 0.85882352941176465 0.4392156862745098 0.57647058823529407)
    (maroon 0.69019607843137254 0.18823529411764706 0.37647058823529411)
    (MediumVioletRed 0.7803921568627451 0.082352941176470587 0.52156862745098043)
    (VioletRed 0.81568627450980391 0.12549019607843137 0.56470588235294117)
    (magenta 1 0 1)
    (violet 0.93333333333333335 0.50980392156862742 0.93333333333333335)
    (plum 0.8666666666666667 0.62745098039215685 0.8666666666666667)
    (orchid 0.85490196078431369 0.4392156862745098 0.83921568627450982)
    (MediumOrchid 0.72941176470588232 0.33333333333333331 0.82745098039215681)
    (DarkOrchid 0.59999999999999998 0.19607843137254902 0.80000000000000004)
    (DarkViolet 0.58039215686274515 0 0.82745098039215681)
    (BlueViolet 0.54117647058823526 0.16862745098039217 0.88627450980392153)
    (purple 0.62745098039215685 0.12549019607843137 0.94117647058823528)
    (MediumPurple 0.57647058823529407 0.4392156862745098 0.85882352941176465)
    (thistle 0.84705882352941175 0.74901960784313726 0.84705882352941175)
    (snow1 1 0.98039215686274506 0.98039215686274506)
    (snow2 0.93333333333333335 0.9137254901960784 0.9137254901960784)
    (snow3 0.80392156862745101 0.78823529411764703 0.78823529411764703)
    (snow4 0.54509803921568623 0.53725490196078429 0.53725490196078429)
    (seashell1 1 0.96078431372549022 0.93333333333333335)
    (seashell2 0.93333333333333335 0.89803921568627454 0.87058823529411766)
    (seashell3 0.80392156862745101 0.77254901960784317 0.74901960784313726)
    (seashell4 0.54509803921568623 0.52549019607843139 0.50980392156862742)
    (AntiqueWhite1 1 0.93725490196078431 0.85882352941176465)
    (AntiqueWhite2 0.93333333333333335 0.87450980392156863 0.80000000000000004)
    (AntiqueWhite3 0.80392156862745101 0.75294117647058822 0.69019607843137254)
    (AntiqueWhite4 0.54509803921568623 0.51372549019607838 0.47058823529411764)
    (bisque1 1 0.89411764705882357 0.7686274509803922)
    (bisque2 0.93333333333333335 0.83529411764705885 0.71764705882352942)
    (bisque3 0.80392156862745101 0.71764705882352942 0.61960784313725492)
    (bisque4 0.54509803921568623 0.49019607843137253 0.41960784313725491)
    (PeachPuff1 1 0.85490196078431369 0.72549019607843135)
    (PeachPuff2 0.93333333333333335 0.79607843137254897 0.67843137254901964)
    (PeachPuff3 0.80392156862745101 0.68627450980392157 0.58431372549019611)
    (PeachPuff4 0.54509803921568623 0.46666666666666667 0.396078431372549)
    (NavajoWhite1 1 0.87058823529411766 0.67843137254901964)
    (NavajoWhite2 0.93333333333333335 0.81176470588235294 0.63137254901960782)
    (NavajoWhite3 0.80392156862745101 0.70196078431372544 0.54509803921568623)
    (NavajoWhite4 0.54509803921568623 0.47450980392156861 0.36862745098039218)
    (LemonChiffon1 1 0.98039215686274506 0.80392156862745101)
    (LemonChiffon2 0.93333333333333335 0.9137254901960784 0.74901960784313726)
    (LemonChiffon3 0.80392156862745101 0.78823529411764703 0.6470588235294118)
    (LemonChiffon4 0.54509803921568623 0.53725490196078429 0.4392156862745098)
    (cornsilk1 1 0.97254901960784312 0.86274509803921573)
    (cornsilk2 0.93333333333333335 0.90980392156862744 0.80392156862745101)
    (cornsilk3 0.80392156862745101 0.78431372549019607 0.69411764705882351)
    (cornsilk4 0.54509803921568623 0.53333333333333333 0.47058823529411764)
    (ivory1 1 1 0.94117647058823528)
    (ivory2 0.93333333333333335 0.93333333333333335 0.8784313725490196)
    (ivory3 0.80392156862745101 0.80392156862745101 0.75686274509803919)
    (ivory4 0.54509803921568623 0.54509803921568623 0.51372549019607838)
    (honeydew1 0.94117647058823528 1 0.94117647058823528)
    (honeydew2 0.8784313725490196 0.93333333333333335 0.8784313725490196)
    (honeydew3 0.75686274509803919 0.80392156862745101 0.75686274509803919)
    (honeydew4 0.51372549019607838 0.54509803921568623 0.51372549019607838)
    (LavenderBlush1 1 0.94117647058823528 0.96078431372549022)
    (LavenderBlush2 0.93333333333333335 0.8784313725490196 0.89803921568627454)
    (LavenderBlush3 0.80392156862745101 0.75686274509803919 0.77254901960784317)
    (LavenderBlush4 0.54509803921568623 0.51372549019607838 0.52549019607843139)
    (MistyRose1 1 0.89411764705882357 0.88235294117647056)
    (MistyRose2 0.93333333333333335 0.83529411764705885 0.82352941176470584)
    (MistyRose3 0.80392156862745101 0.71764705882352942 0.70980392156862748)
    (MistyRose4 0.54509803921568623 0.49019607843137253 0.4823529411764706)
    (azure1 0.94117647058823528 1 1)
    (azure2 0.8784313725490196 0.93333333333333335 0.93333333333333335)
    (azure3 0.75686274509803919 0.80392156862745101 0.80392156862745101)
    (azure4 0.51372549019607838 0.54509803921568623 0.54509803921568623)
    (SlateBlue1 0.51372549019607838 0.43529411764705883 1)
    (SlateBlue2 0.47843137254901963 0.40392156862745099 0.93333333333333335)
    (SlateBlue3 0.41176470588235292 0.34901960784313724 0.80392156862745101)
    (SlateBlue4 0.27843137254901962 0.23529411764705882 0.54509803921568623)
    (RoyalBlue1 0.28235294117647058 0.46274509803921571 1)
    (RoyalBlue2 0.2627450980392157 0.43137254901960786 0.93333333333333335)
    (RoyalBlue3 0.22745098039215686 0.37254901960784315 0.80392156862745101)
    (RoyalBlue4 0.15294117647058825 0.25098039215686274 0.54509803921568623)
    (blue1 0 0 1)
    (blue2 0 0 0.93333333333333335)
    (blue3 0 0 0.80392156862745101)
    (blue4 0 0 0.54509803921568623)
    (DodgerBlue1 0.11764705882352941 0.56470588235294117 1)
    (DodgerBlue2 0.10980392156862745 0.52549019607843139 0.93333333333333335)
    (DodgerBlue3 0.094117647058823528 0.45490196078431372 0.80392156862745101)
    (DodgerBlue4 0.062745098039215685 0.30588235294117649 0.54509803921568623)
    (SteelBlue1 0.38823529411764707 0.72156862745098038 1)
    (SteelBlue2 0.36078431372549019 0.67450980392156867 0.93333333333333335)
    (SteelBlue3 0.30980392156862746 0.58039215686274515 0.80392156862745101)
    (SteelBlue4 0.21176470588235294 0.39215686274509803 0.54509803921568623)
    (DeepSkyBlue1 0 0.74901960784313726 1)
    (DeepSkyBlue2 0 0.69803921568627447 0.93333333333333335)
    (DeepSkyBlue3 0 0.60392156862745094 0.80392156862745101)
    (DeepSkyBlue4 0 0.40784313725490196 0.54509803921568623)
    (SkyBlue1 0.52941176470588236 0.80784313725490198 1)
    (SkyBlue2 0.49411764705882355 0.75294117647058822 0.93333333333333335)
    (SkyBlue3 0.42352941176470588 0.65098039215686276 0.80392156862745101)
    (SkyBlue4 0.29019607843137257 0.4392156862745098 0.54509803921568623)
    (LightSkyBlue1 0.69019607843137254 0.88627450980392153 1)
    (LightSkyBlue2 0.64313725490196083 0.82745098039215681 0.93333333333333335)
    (LightSkyBlue3 0.55294117647058827 0.71372549019607845 0.80392156862745101)
    (LightSkyBlue4 0.37647058823529411 0.4823529411764706 0.54509803921568623)
    (SlateGray1 0.77647058823529413 0.88627450980392153 1)
    (SlateGray2 0.72549019607843135 0.82745098039215681 0.93333333333333335)
    (SlateGray3 0.62352941176470589 0.71372549019607845 0.80392156862745101)
    (SlateGray4 0.42352941176470588 0.4823529411764706 0.54509803921568623)
    (LightSteelBlue1 0.792156862745098 0.88235294117647056 1)
    (LightSteelBlue2 0.73725490196078436 0.82352941176470584 0.93333333333333335)
    (LightSteelBlue3 0.63529411764705879 0.70980392156862748 0.80392156862745101)
    (LightSteelBlue4 0.43137254901960786 0.4823529411764706 0.54509803921568623)
    (LightBlue1 0.74901960784313726 0.93725490196078431 1)
    (LightBlue2 0.69803921568627447 0.87450980392156863 0.93333333333333335)
    (LightBlue3 0.60392156862745094 0.75294117647058822 0.80392156862745101)
    (LightBlue4 0.40784313725490196 0.51372549019607838 0.54509803921568623)
    (LightCyan1 0.8784313725490196 1 1)
    (LightCyan2 0.81960784313725488 0.93333333333333335 0.93333333333333335)
    (LightCyan3 0.70588235294117652 0.80392156862745101 0.80392156862745101)
    (LightCyan4 0.47843137254901963 0.54509803921568623 0.54509803921568623)
    (PaleTurquoise1 0.73333333333333328 1 1)
    (PaleTurquoise2 0.68235294117647061 0.93333333333333335 0.93333333333333335)
    (PaleTurquoise3 0.58823529411764708 0.80392156862745101 0.80392156862745101)
    (PaleTurquoise4 0.40000000000000002 0.54509803921568623 0.54509803921568623)
    (CadetBlue1 0.59607843137254901 0.96078431372549022 1)
    (CadetBlue2 0.55686274509803924 0.89803921568627454 0.93333333333333335)
    (CadetBlue3 0.47843137254901963 0.77254901960784317 0.80392156862745101)
    (CadetBlue4 0.32549019607843138 0.52549019607843139 0.54509803921568623)
    (turquoise1 0 0.96078431372549022 1)
    (turquoise2 0 0.89803921568627454 0.93333333333333335)
    (turquoise3 0 0.77254901960784317 0.80392156862745101)
    (turquoise4 0 0.52549019607843139 0.54509803921568623)
    (cyan1 0 1 1)
    (cyan2 0 0.93333333333333335 0.93333333333333335)
    (cyan3 0 0.80392156862745101 0.80392156862745101)
    (cyan4 0 0.54509803921568623 0.54509803921568623)
    (DarkSlateGray1 0.59215686274509804 1 1)
    (DarkSlateGray2 0.55294117647058827 0.93333333333333335 0.93333333333333335)
    (DarkSlateGray3 0.47450980392156861 0.80392156862745101 0.80392156862745101)
    (DarkSlateGray4 0.32156862745098042 0.54509803921568623 0.54509803921568623)
    (aquamarine1 0.49803921568627452 1 0.83137254901960789)
    (aquamarine2 0.46274509803921571 0.93333333333333335 0.77647058823529413)
    (aquamarine3 0.40000000000000002 0.80392156862745101 0.66666666666666663)
    (aquamarine4 0.27058823529411763 0.54509803921568623 0.45490196078431372)
    (DarkSeaGreen1 0.75686274509803919 1 0.75686274509803919)
    (DarkSeaGreen2 0.70588235294117652 0.93333333333333335 0.70588235294117652)
    (DarkSeaGreen3 0.60784313725490191 0.80392156862745101 0.60784313725490191)
    (DarkSeaGreen4 0.41176470588235292 0.54509803921568623 0.41176470588235292)
    (SeaGreen1 0.32941176470588235 1 0.62352941176470589)
    (SeaGreen2 0.30588235294117649 0.93333333333333335 0.58039215686274515)
    (SeaGreen3 0.2627450980392157 0.80392156862745101 0.50196078431372548)
    (SeaGreen4 0.1803921568627451 0.54509803921568623 0.3411764705882353)
    (PaleGreen1 0.60392156862745094 1 0.60392156862745094)
    (PaleGreen2 0.56470588235294117 0.93333333333333335 0.56470588235294117)
    (PaleGreen3 0.48627450980392156 0.80392156862745101 0.48627450980392156)
    (PaleGreen4 0.32941176470588235 0.54509803921568623 0.32941176470588235)
    (SpringGreen1 0 1 0.49803921568627452)
    (SpringGreen2 0 0.93333333333333335 0.46274509803921571)
    (SpringGreen3 0 0.80392156862745101 0.40000000000000002)
    (SpringGreen4 0 0.54509803921568623 0.27058823529411763)
    (green1 0 1 0)
    (green2 0 0.93333333333333335 0)
    (green3 0 0.80392156862745101 0)
    (green4 0 0.54509803921568623 0)
    (chartreuse1 0.49803921568627452 1 0)
    (chartreuse2 0.46274509803921571 0.93333333333333335 0)
    (chartreuse3 0.40000000000000002 0.80392156862745101 0)
    (chartreuse4 0.27058823529411763 0.54509803921568623 0)
    (OliveDrab1 0.75294117647058822 1 0.24313725490196078)
    (OliveDrab2 0.70196078431372544 0.93333333333333335 0.22745098039215686)
    (OliveDrab3 0.60392156862745094 0.80392156862745101 0.19607843137254902)
    (OliveDrab4 0.41176470588235292 0.54509803921568623 0.13333333333333333)
    (DarkOliveGreen1 0.792156862745098 1 0.4392156862745098)
    (DarkOliveGreen2 0.73725490196078436 0.93333333333333335 0.40784313725490196)
    (DarkOliveGreen3 0.63529411764705879 0.80392156862745101 0.35294117647058826)
    (DarkOliveGreen4 0.43137254901960786 0.54509803921568623 0.23921568627450981)
    (khaki1 1 0.96470588235294119 0.5607843137254902)
    (khaki2 0.93333333333333335 0.90196078431372551 0.52156862745098043)
    (khaki3 0.80392156862745101 0.77647058823529413 0.45098039215686275)
    (khaki4 0.54509803921568623 0.52549019607843139 0.30588235294117649)
    (LightGoldenrod1 1 0.92549019607843142 0.54509803921568623)
    (LightGoldenrod2 0.93333333333333335 0.86274509803921573 0.50980392156862742)
    (LightGoldenrod3 0.80392156862745101 0.74509803921568629 0.4392156862745098)
    (LightGoldenrod4 0.54509803921568623 0.50588235294117645 0.29803921568627451)
    (LightYellow1 1 1 0.8784313725490196)
    (LightYellow2 0.93333333333333335 0.93333333333333335 0.81960784313725488)
    (LightYellow3 0.80392156862745101 0.80392156862745101 0.70588235294117652)
    (LightYellow4 0.54509803921568623 0.54509803921568623 0.47843137254901963)
    (yellow1 1 1 0)
    (yellow2 0.93333333333333335 0.93333333333333335 0)
    (yellow3 0.80392156862745101 0.80392156862745101 0)
    (yellow4 0.54509803921568623 0.54509803921568623 0)
    (gold1 1 0.84313725490196079 0)
    (gold2 0.93333333333333335 0.78823529411764703 0)
    (gold3 0.80392156862745101 0.67843137254901964 0)
    (gold4 0.54509803921568623 0.45882352941176469 0)
    (goldenrod1 1 0.75686274509803919 0.14509803921568629)
    (goldenrod2 0.93333333333333335 0.70588235294117652 0.13333333333333333)
    (goldenrod3 0.80392156862745101 0.60784313725490191 0.11372549019607843)
    (goldenrod4 0.54509803921568623 0.41176470588235292 0.078431372549019607)
    (DarkGoldenrod1 1 0.72549019607843135 0.058823529411764705)
    (DarkGoldenrod2 0.93333333333333335 0.67843137254901964 0.054901960784313725)
    (DarkGoldenrod3 0.80392156862745101 0.58431372549019611 0.047058823529411764)
    (DarkGoldenrod4 0.54509803921568623 0.396078431372549 0.031372549019607843)
    (RosyBrown1 1 0.75686274509803919 0.75686274509803919)
    (RosyBrown2 0.93333333333333335 0.70588235294117652 0.70588235294117652)
    (RosyBrown3 0.80392156862745101 0.60784313725490191 0.60784313725490191)
    (RosyBrown4 0.54509803921568623 0.41176470588235292 0.41176470588235292)
    (IndianRed1 1 0.41568627450980394 0.41568627450980394)
    (IndianRed2 0.93333333333333335 0.38823529411764707 0.38823529411764707)
    (IndianRed3 0.80392156862745101 0.33333333333333331 0.33333333333333331)
    (IndianRed4 0.54509803921568623 0.22745098039215686 0.22745098039215686)
    (sienna1 1 0.50980392156862742 0.27843137254901962)
    (sienna2 0.93333333333333335 0.47450980392156861 0.25882352941176473)
    (sienna3 0.80392156862745101 0.40784313725490196 0.22352941176470589)
    (sienna4 0.54509803921568623 0.27843137254901962 0.14901960784313725)
    (burlywood1 1 0.82745098039215681 0.60784313725490191)
    (burlywood2 0.93333333333333335 0.77254901960784317 0.56862745098039214)
    (burlywood3 0.80392156862745101 0.66666666666666663 0.49019607843137253)
    (burlywood4 0.54509803921568623 0.45098039215686275 0.33333333333333331)
    (wheat1 1 0.90588235294117647 0.72941176470588232)
    (wheat2 0.93333333333333335 0.84705882352941175 0.68235294117647061)
    (wheat3 0.80392156862745101 0.72941176470588232 0.58823529411764708)
    (wheat4 0.54509803921568623 0.49411764705882355 0.40000000000000002)
    (tan1 1 0.6470588235294118 0.30980392156862746)
    (tan2 0.93333333333333335 0.60392156862745094 0.28627450980392155)
    (tan3 0.80392156862745101 0.52156862745098043 0.24705882352941178)
    (tan4 0.54509803921568623 0.35294117647058826 0.16862745098039217)
    (chocolate1 1 0.49803921568627452 0.14117647058823529)
    (chocolate2 0.93333333333333335 0.46274509803921571 0.12941176470588237)
    (chocolate3 0.80392156862745101 0.40000000000000002 0.11372549019607843)
    (chocolate4 0.54509803921568623 0.27058823529411763 0.074509803921568626)
    (firebrick1 1 0.18823529411764706 0.18823529411764706)
    (firebrick2 0.93333333333333335 0.17254901960784313 0.17254901960784313)
    (firebrick3 0.80392156862745101 0.14901960784313725 0.14901960784313725)
    (firebrick4 0.54509803921568623 0.10196078431372549 0.10196078431372549)
    (brown1 1 0.25098039215686274 0.25098039215686274)
    (brown2 0.93333333333333335 0.23137254901960785 0.23137254901960785)
    (brown3 0.80392156862745101 0.20000000000000001 0.20000000000000001)
    (brown4 0.54509803921568623 0.13725490196078433 0.13725490196078433)
    (salmon1 1 0.5490196078431373 0.41176470588235292)
    (salmon2 0.93333333333333335 0.50980392156862742 0.3843137254901961)
    (salmon3 0.80392156862745101 0.4392156862745098 0.32941176470588235)
    (salmon4 0.54509803921568623 0.29803921568627451 0.22352941176470589)
    (LightSalmon1 1 0.62745098039215685 0.47843137254901963)
    (LightSalmon2 0.93333333333333335 0.58431372549019611 0.44705882352941179)
    (LightSalmon3 0.80392156862745101 0.50588235294117645 0.3843137254901961)
    (LightSalmon4 0.54509803921568623 0.3411764705882353 0.25882352941176473)
    (orange1 1 0.6470588235294118 0)
    (orange2 0.93333333333333335 0.60392156862745094 0)
    (orange3 0.80392156862745101 0.52156862745098043 0)
    (orange4 0.54509803921568623 0.35294117647058826 0)
    (DarkOrange1 1 0.49803921568627452 0)
    (DarkOrange2 0.93333333333333335 0.46274509803921571 0)
    (DarkOrange3 0.80392156862745101 0.40000000000000002 0)
    (DarkOrange4 0.54509803921568623 0.27058823529411763 0)
    (coral1 1 0.44705882352941179 0.33725490196078434)
    (coral2 0.93333333333333335 0.41568627450980394 0.31372549019607843)
    (coral3 0.80392156862745101 0.35686274509803922 0.27058823529411763)
    (coral4 0.54509803921568623 0.24313725490196078 0.18431372549019609)
    (tomato1 1 0.38823529411764707 0.27843137254901962)
    (tomato2 0.93333333333333335 0.36078431372549019 0.25882352941176473)
    (tomato3 0.80392156862745101 0.30980392156862746 0.22352941176470589)
    (tomato4 0.54509803921568623 0.21176470588235294 0.14901960784313725)
    (OrangeRed1 1 0.27058823529411763 0)
    (OrangeRed2 0.93333333333333335 0.25098039215686274 0)
    (OrangeRed3 0.80392156862745101 0.21568627450980393 0)
    (OrangeRed4 0.54509803921568623 0.14509803921568629 0)
    (red1 1 0 0)
    (red2 0.93333333333333335 0 0)
    (red3 0.80392156862745101 0 0)
    (red4 0.54509803921568623 0 0)
    (DeepPink1 1 0.078431372549019607 0.57647058823529407)
    (DeepPink2 0.93333333333333335 0.070588235294117646 0.53725490196078429)
    (DeepPink3 0.80392156862745101 0.062745098039215685 0.46274509803921571)
    (DeepPink4 0.54509803921568623 0.039215686274509803 0.31372549019607843)
    (HotPink1 1 0.43137254901960786 0.70588235294117652)
    (HotPink2 0.93333333333333335 0.41568627450980394 0.65490196078431373)
    (HotPink3 0.80392156862745101 0.37647058823529411 0.56470588235294117)
    (HotPink4 0.54509803921568623 0.22745098039215686 0.3843137254901961)
    (pink1 1 0.70980392156862748 0.77254901960784317)
    (pink2 0.93333333333333335 0.66274509803921566 0.72156862745098038)
    (pink3 0.80392156862745101 0.56862745098039214 0.61960784313725492)
    (pink4 0.54509803921568623 0.38823529411764707 0.42352941176470588)
    (LightPink1 1 0.68235294117647061 0.72549019607843135)
    (LightPink2 0.93333333333333335 0.63529411764705879 0.67843137254901964)
    (LightPink3 0.80392156862745101 0.5490196078431373 0.58431372549019611)
    (LightPink4 0.54509803921568623 0.37254901960784315 0.396078431372549)
    (PaleVioletRed1 1 0.50980392156862742 0.6705882352941176)
    (PaleVioletRed2 0.93333333333333335 0.47450980392156861 0.62352941176470589)
    (PaleVioletRed3 0.80392156862745101 0.40784313725490196 0.53725490196078429)
    (PaleVioletRed4 0.54509803921568623 0.27843137254901962 0.36470588235294116)
    (maroon1 1 0.20392156862745098 0.70196078431372544)
    (maroon2 0.93333333333333335 0.18823529411764706 0.65490196078431373)
    (maroon3 0.80392156862745101 0.16078431372549021 0.56470588235294117)
    (maroon4 0.54509803921568623 0.10980392156862745 0.3843137254901961)
    (VioletRed1 1 0.24313725490196078 0.58823529411764708)
    (VioletRed2 0.93333333333333335 0.22745098039215686 0.5490196078431373)
    (VioletRed3 0.80392156862745101 0.19607843137254902 0.47058823529411764)
    (VioletRed4 0.54509803921568623 0.13333333333333333 0.32156862745098042)
    (magenta1 1 0 1)
    (magenta2 0.93333333333333335 0 0.93333333333333335)
    (magenta3 0.80392156862745101 0 0.80392156862745101)
    (magenta4 0.54509803921568623 0 0.54509803921568623)
    (orchid1 1 0.51372549019607838 0.98039215686274506)
    (orchid2 0.93333333333333335 0.47843137254901963 0.9137254901960784)
    (orchid3 0.80392156862745101 0.41176470588235292 0.78823529411764703)
    (orchid4 0.54509803921568623 0.27843137254901962 0.53725490196078429)
    (plum1 1 0.73333333333333328 1)
    (plum2 0.93333333333333335 0.68235294117647061 0.93333333333333335)
    (plum3 0.80392156862745101 0.58823529411764708 0.80392156862745101)
    (plum4 0.54509803921568623 0.40000000000000002 0.54509803921568623)
    (MediumOrchid1 0.8784313725490196 0.40000000000000002 1)
    (MediumOrchid2 0.81960784313725488 0.37254901960784315 0.93333333333333335)
    (MediumOrchid3 0.70588235294117652 0.32156862745098042 0.80392156862745101)
    (MediumOrchid4 0.47843137254901963 0.21568627450980393 0.54509803921568623)
    (DarkOrchid1 0.74901960784313726 0.24313725490196078 1)
    (DarkOrchid2 0.69803921568627447 0.22745098039215686 0.93333333333333335)
    (DarkOrchid3 0.60392156862745094 0.19607843137254902 0.80392156862745101)
    (DarkOrchid4 0.40784313725490196 0.13333333333333333 0.54509803921568623)
    (purple1 0.60784313725490191 0.18823529411764706 1)
    (purple2 0.56862745098039214 0.17254901960784313 0.93333333333333335)
    (purple3 0.49019607843137253 0.14901960784313725 0.80392156862745101)
    (purple4 0.33333333333333331 0.10196078431372549 0.54509803921568623)
    (MediumPurple1 0.6705882352941176 0.50980392156862742 1)
    (MediumPurple2 0.62352941176470589 0.47450980392156861 0.93333333333333335)
    (MediumPurple3 0.53725490196078429 0.40784313725490196 0.80392156862745101)
    (MediumPurple4 0.36470588235294116 0.27843137254901962 0.54509803921568623)
    (thistle1 1 0.88235294117647056 1)
    (thistle2 0.93333333333333335 0.82352941176470584 0.93333333333333335)
    (thistle3 0.80392156862745101 0.70980392156862748 0.80392156862745101)
    (thistle4 0.54509803921568623 0.4823529411764706 0.54509803921568623)
    (gray0 0 0 0)
    (grey0 0 0 0)
    (gray1 0.011764705882352941 0.011764705882352941 0.011764705882352941)
    (grey1 0.011764705882352941 0.011764705882352941 0.011764705882352941)
    (gray2 0.019607843137254902 0.019607843137254902 0.019607843137254902)
    (grey2 0.019607843137254902 0.019607843137254902 0.019607843137254902)
    (gray3 0.031372549019607843 0.031372549019607843 0.031372549019607843)
    (grey3 0.031372549019607843 0.031372549019607843 0.031372549019607843)
    (gray4 0.039215686274509803 0.039215686274509803 0.039215686274509803)
    (grey4 0.039215686274509803 0.039215686274509803 0.039215686274509803)
    (gray5 0.050980392156862744 0.050980392156862744 0.050980392156862744)
    (grey5 0.050980392156862744 0.050980392156862744 0.050980392156862744)
    (gray6 0.058823529411764705 0.058823529411764705 0.058823529411764705)
    (grey6 0.058823529411764705 0.058823529411764705 0.058823529411764705)
    (gray7 0.070588235294117646 0.070588235294117646 0.070588235294117646)
    (grey7 0.070588235294117646 0.070588235294117646 0.070588235294117646)
    (gray8 0.078431372549019607 0.078431372549019607 0.078431372549019607)
    (grey8 0.078431372549019607 0.078431372549019607 0.078431372549019607)
    (gray9 0.090196078431372548 0.090196078431372548 0.090196078431372548)
    (grey9 0.090196078431372548 0.090196078431372548 0.090196078431372548)
    (gray10 0.10196078431372549 0.10196078431372549 0.10196078431372549)
    (grey10 0.10196078431372549 0.10196078431372549 0.10196078431372549)
    (gray11 0.10980392156862745 0.10980392156862745 0.10980392156862745)
    (grey11 0.10980392156862745 0.10980392156862745 0.10980392156862745)
    (gray12 0.12156862745098039 0.12156862745098039 0.12156862745098039)
    (grey12 0.12156862745098039 0.12156862745098039 0.12156862745098039)
    (gray13 0.12941176470588237 0.12941176470588237 0.12941176470588237)
    (grey13 0.12941176470588237 0.12941176470588237 0.12941176470588237)
    (gray14 0.14117647058823529 0.14117647058823529 0.14117647058823529)
    (grey14 0.14117647058823529 0.14117647058823529 0.14117647058823529)
    (gray15 0.14901960784313725 0.14901960784313725 0.14901960784313725)
    (grey15 0.14901960784313725 0.14901960784313725 0.14901960784313725)
    (gray16 0.16078431372549021 0.16078431372549021 0.16078431372549021)
    (grey16 0.16078431372549021 0.16078431372549021 0.16078431372549021)
    (gray17 0.16862745098039217 0.16862745098039217 0.16862745098039217)
    (grey17 0.16862745098039217 0.16862745098039217 0.16862745098039217)
    (gray18 0.1803921568627451 0.1803921568627451 0.1803921568627451)
    (grey18 0.1803921568627451 0.1803921568627451 0.1803921568627451)
    (gray19 0.18823529411764706 0.18823529411764706 0.18823529411764706)
    (grey19 0.18823529411764706 0.18823529411764706 0.18823529411764706)
    (gray20 0.20000000000000001 0.20000000000000001 0.20000000000000001)
    (grey20 0.20000000000000001 0.20000000000000001 0.20000000000000001)
    (gray21 0.21176470588235294 0.21176470588235294 0.21176470588235294)
    (grey21 0.21176470588235294 0.21176470588235294 0.21176470588235294)
    (gray22 0.2196078431372549 0.2196078431372549 0.2196078431372549)
    (grey22 0.2196078431372549 0.2196078431372549 0.2196078431372549)
    (gray23 0.23137254901960785 0.23137254901960785 0.23137254901960785)
    (grey23 0.23137254901960785 0.23137254901960785 0.23137254901960785)
    (gray24 0.23921568627450981 0.23921568627450981 0.23921568627450981)
    (grey24 0.23921568627450981 0.23921568627450981 0.23921568627450981)
    (gray25 0.25098039215686274 0.25098039215686274 0.25098039215686274)
    (grey25 0.25098039215686274 0.25098039215686274 0.25098039215686274)
    (gray26 0.25882352941176473 0.25882352941176473 0.25882352941176473)
    (grey26 0.25882352941176473 0.25882352941176473 0.25882352941176473)
    (gray27 0.27058823529411763 0.27058823529411763 0.27058823529411763)
    (grey27 0.27058823529411763 0.27058823529411763 0.27058823529411763)
    (gray28 0.27843137254901962 0.27843137254901962 0.27843137254901962)
    (grey28 0.27843137254901962 0.27843137254901962 0.27843137254901962)
    (gray29 0.29019607843137257 0.29019607843137257 0.29019607843137257)
    (grey29 0.29019607843137257 0.29019607843137257 0.29019607843137257)
    (gray30 0.30196078431372547 0.30196078431372547 0.30196078431372547)
    (grey30 0.30196078431372547 0.30196078431372547 0.30196078431372547)
    (gray31 0.30980392156862746 0.30980392156862746 0.30980392156862746)
    (grey31 0.30980392156862746 0.30980392156862746 0.30980392156862746)
    (gray32 0.32156862745098042 0.32156862745098042 0.32156862745098042)
    (grey32 0.32156862745098042 0.32156862745098042 0.32156862745098042)
    (gray33 0.32941176470588235 0.32941176470588235 0.32941176470588235)
    (grey33 0.32941176470588235 0.32941176470588235 0.32941176470588235)
    (gray34 0.3411764705882353 0.3411764705882353 0.3411764705882353)
    (grey34 0.3411764705882353 0.3411764705882353 0.3411764705882353)
    (gray35 0.34901960784313724 0.34901960784313724 0.34901960784313724)
    (grey35 0.34901960784313724 0.34901960784313724 0.34901960784313724)
    (gray36 0.36078431372549019 0.36078431372549019 0.36078431372549019)
    (grey36 0.36078431372549019 0.36078431372549019 0.36078431372549019)
    (gray37 0.36862745098039218 0.36862745098039218 0.36862745098039218)
    (grey37 0.36862745098039218 0.36862745098039218 0.36862745098039218)
    (gray38 0.38039215686274508 0.38039215686274508 0.38039215686274508)
    (grey38 0.38039215686274508 0.38039215686274508 0.38039215686274508)
    (gray39 0.38823529411764707 0.38823529411764707 0.38823529411764707)
    (grey39 0.38823529411764707 0.38823529411764707 0.38823529411764707)
    (gray40 0.40000000000000002 0.40000000000000002 0.40000000000000002)
    (grey40 0.40000000000000002 0.40000000000000002 0.40000000000000002)
    (gray41 0.41176470588235292 0.41176470588235292 0.41176470588235292)
    (grey41 0.41176470588235292 0.41176470588235292 0.41176470588235292)
    (gray42 0.41960784313725491 0.41960784313725491 0.41960784313725491)
    (grey42 0.41960784313725491 0.41960784313725491 0.41960784313725491)
    (gray43 0.43137254901960786 0.43137254901960786 0.43137254901960786)
    (grey43 0.43137254901960786 0.43137254901960786 0.43137254901960786)
    (gray44 0.4392156862745098 0.4392156862745098 0.4392156862745098)
    (grey44 0.4392156862745098 0.4392156862745098 0.4392156862745098)
    (gray45 0.45098039215686275 0.45098039215686275 0.45098039215686275)
    (grey45 0.45098039215686275 0.45098039215686275 0.45098039215686275)
    (gray46 0.45882352941176469 0.45882352941176469 0.45882352941176469)
    (grey46 0.45882352941176469 0.45882352941176469 0.45882352941176469)
    (gray47 0.47058823529411764 0.47058823529411764 0.47058823529411764)
    (grey47 0.47058823529411764 0.47058823529411764 0.47058823529411764)
    (gray48 0.47843137254901963 0.47843137254901963 0.47843137254901963)
    (grey48 0.47843137254901963 0.47843137254901963 0.47843137254901963)
    (gray49 0.49019607843137253 0.49019607843137253 0.49019607843137253)
    (grey49 0.49019607843137253 0.49019607843137253 0.49019607843137253)
    (gray50 0.49803921568627452 0.49803921568627452 0.49803921568627452)
    (grey50 0.49803921568627452 0.49803921568627452 0.49803921568627452)
    (gray51 0.50980392156862742 0.50980392156862742 0.50980392156862742)
    (grey51 0.50980392156862742 0.50980392156862742 0.50980392156862742)
    (gray52 0.52156862745098043 0.52156862745098043 0.52156862745098043)
    (grey52 0.52156862745098043 0.52156862745098043 0.52156862745098043)
    (gray53 0.52941176470588236 0.52941176470588236 0.52941176470588236)
    (grey53 0.52941176470588236 0.52941176470588236 0.52941176470588236)
    (gray54 0.54117647058823526 0.54117647058823526 0.54117647058823526)
    (grey54 0.54117647058823526 0.54117647058823526 0.54117647058823526)
    (gray55 0.5490196078431373 0.5490196078431373 0.5490196078431373)
    (grey55 0.5490196078431373 0.5490196078431373 0.5490196078431373)
    (gray56 0.5607843137254902 0.5607843137254902 0.5607843137254902)
    (grey56 0.5607843137254902 0.5607843137254902 0.5607843137254902)
    (gray57 0.56862745098039214 0.56862745098039214 0.56862745098039214)
    (grey57 0.56862745098039214 0.56862745098039214 0.56862745098039214)
    (gray58 0.58039215686274515 0.58039215686274515 0.58039215686274515)
    (grey58 0.58039215686274515 0.58039215686274515 0.58039215686274515)
    (gray59 0.58823529411764708 0.58823529411764708 0.58823529411764708)
    (grey59 0.58823529411764708 0.58823529411764708 0.58823529411764708)
    (gray60 0.59999999999999998 0.59999999999999998 0.59999999999999998)
    (grey60 0.59999999999999998 0.59999999999999998 0.59999999999999998)
    (gray61 0.61176470588235299 0.61176470588235299 0.61176470588235299)
    (grey61 0.61176470588235299 0.61176470588235299 0.61176470588235299)
    (gray62 0.61960784313725492 0.61960784313725492 0.61960784313725492)
    (grey62 0.61960784313725492 0.61960784313725492 0.61960784313725492)
    (gray63 0.63137254901960782 0.63137254901960782 0.63137254901960782)
    (grey63 0.63137254901960782 0.63137254901960782 0.63137254901960782)
    (gray64 0.63921568627450975 0.63921568627450975 0.63921568627450975)
    (grey64 0.63921568627450975 0.63921568627450975 0.63921568627450975)
    (gray65 0.65098039215686276 0.65098039215686276 0.65098039215686276)
    (grey65 0.65098039215686276 0.65098039215686276 0.65098039215686276)
    (gray66 0.6588235294117647 0.6588235294117647 0.6588235294117647)
    (grey66 0.6588235294117647 0.6588235294117647 0.6588235294117647)
    (gray67 0.6705882352941176 0.6705882352941176 0.6705882352941176)
    (grey67 0.6705882352941176 0.6705882352941176 0.6705882352941176)
    (gray68 0.67843137254901964 0.67843137254901964 0.67843137254901964)
    (grey68 0.67843137254901964 0.67843137254901964 0.67843137254901964)
    (gray69 0.69019607843137254 0.69019607843137254 0.69019607843137254)
    (grey69 0.69019607843137254 0.69019607843137254 0.69019607843137254)
    (gray70 0.70196078431372544 0.70196078431372544 0.70196078431372544)
    (grey70 0.70196078431372544 0.70196078431372544 0.70196078431372544)
    (gray71 0.70980392156862748 0.70980392156862748 0.70980392156862748)
    (grey71 0.70980392156862748 0.70980392156862748 0.70980392156862748)
    (gray72 0.72156862745098038 0.72156862745098038 0.72156862745098038)
    (grey72 0.72156862745098038 0.72156862745098038 0.72156862745098038)
    (gray73 0.72941176470588232 0.72941176470588232 0.72941176470588232)
    (grey73 0.72941176470588232 0.72941176470588232 0.72941176470588232)
    (gray74 0.74117647058823533 0.74117647058823533 0.74117647058823533)
    (grey74 0.74117647058823533 0.74117647058823533 0.74117647058823533)
    (gray75 0.74901960784313726 0.74901960784313726 0.74901960784313726)
    (grey75 0.74901960784313726 0.74901960784313726 0.74901960784313726)
    (gray76 0.76078431372549016 0.76078431372549016 0.76078431372549016)
    (grey76 0.76078431372549016 0.76078431372549016 0.76078431372549016)
    (gray77 0.7686274509803922 0.7686274509803922 0.7686274509803922)
    (grey77 0.7686274509803922 0.7686274509803922 0.7686274509803922)
    (gray78 0.7803921568627451 0.7803921568627451 0.7803921568627451)
    (grey78 0.7803921568627451 0.7803921568627451 0.7803921568627451)
    (gray79 0.78823529411764703 0.78823529411764703 0.78823529411764703)
    (grey79 0.78823529411764703 0.78823529411764703 0.78823529411764703)
    (gray80 0.80000000000000004 0.80000000000000004 0.80000000000000004)
    (grey80 0.80000000000000004 0.80000000000000004 0.80000000000000004)
    (gray81 0.81176470588235294 0.81176470588235294 0.81176470588235294)
    (grey81 0.81176470588235294 0.81176470588235294 0.81176470588235294)
    (gray82 0.81960784313725488 0.81960784313725488 0.81960784313725488)
    (grey82 0.81960784313725488 0.81960784313725488 0.81960784313725488)
    (gray83 0.83137254901960789 0.83137254901960789 0.83137254901960789)
    (grey83 0.83137254901960789 0.83137254901960789 0.83137254901960789)
    (gray84 0.83921568627450982 0.83921568627450982 0.83921568627450982)
    (grey84 0.83921568627450982 0.83921568627450982 0.83921568627450982)
    (gray85 0.85098039215686272 0.85098039215686272 0.85098039215686272)
    (grey85 0.85098039215686272 0.85098039215686272 0.85098039215686272)
    (gray86 0.85882352941176465 0.85882352941176465 0.85882352941176465)
    (grey86 0.85882352941176465 0.85882352941176465 0.85882352941176465)
    (gray87 0.87058823529411766 0.87058823529411766 0.87058823529411766)
    (grey87 0.87058823529411766 0.87058823529411766 0.87058823529411766)
    (gray88 0.8784313725490196 0.8784313725490196 0.8784313725490196)
    (grey88 0.8784313725490196 0.8784313725490196 0.8784313725490196)
    (gray89 0.8901960784313725 0.8901960784313725 0.8901960784313725)
    (grey89 0.8901960784313725 0.8901960784313725 0.8901960784313725)
    (gray90 0.89803921568627454 0.89803921568627454 0.89803921568627454)
    (grey90 0.89803921568627454 0.89803921568627454 0.89803921568627454)
    (gray91 0.90980392156862744 0.90980392156862744 0.90980392156862744)
    (grey91 0.90980392156862744 0.90980392156862744 0.90980392156862744)
    (gray92 0.92156862745098034 0.92156862745098034 0.92156862745098034)
    (grey92 0.92156862745098034 0.92156862745098034 0.92156862745098034)
    (gray93 0.92941176470588238 0.92941176470588238 0.92941176470588238)
    (grey93 0.92941176470588238 0.92941176470588238 0.92941176470588238)
    (gray94 0.94117647058823528 0.94117647058823528 0.94117647058823528)
    (grey94 0.94117647058823528 0.94117647058823528 0.94117647058823528)
    (gray95 0.94901960784313721 0.94901960784313721 0.94901960784313721)
    (grey95 0.94901960784313721 0.94901960784313721 0.94901960784313721)
    (gray96 0.96078431372549022 0.96078431372549022 0.96078431372549022)
    (grey96 0.96078431372549022 0.96078431372549022 0.96078431372549022)
    (gray97 0.96862745098039216 0.96862745098039216 0.96862745098039216)
    (grey97 0.96862745098039216 0.96862745098039216 0.96862745098039216)
    (gray98 0.98039215686274506 0.98039215686274506 0.98039215686274506)
    (grey98 0.98039215686274506 0.98039215686274506 0.98039215686274506)
    (gray99 0.9882352941176471 0.9882352941176471 0.9882352941176471)
    (grey99 0.9882352941176471 0.9882352941176471 0.9882352941176471)
    (gray100 1 1 1)
    (grey100 1 1 1)
    (DarkGrey 0.66274509803921566 0.66274509803921566 0.66274509803921566)
    (DarkGray 0.66274509803921566 0.66274509803921566 0.66274509803921566)
    (DarkBlue 0 0 0.54509803921568623)
    (DarkCyan 0 0.54509803921568623 0.54509803921568623)
    (DarkMagenta 0.54509803921568623 0 0.54509803921568623)
    (DarkRed 0.54509803921568623 0 0)
    (LightGreen 0.56470588235294117 0.93333333333333335 0.56470588235294117)))

(define (make-x11-color-handler)
  (let
      ((x11-color-table (make-hash-table 31)))
    
    (lambda (arg)
      (let* 
	  ((arg-sym (if (string? arg)
			(if (string-index arg #\ )
			    (let
				((arg-list (string-split (string-capitalize arg) #\ )))

			      (string->symbol 
			       (let append-all ((x arg-list))
				 (if (null? x)
				     ""
				     (string-append (car x) (append-all (cdr x)))))))
			    
			    (string->symbol arg))
			arg))
	   
	   (temp (hashq-ref x11-color-table arg-sym)))
	
	(if temp
	    temp
	    (let*
		((temp-1 (assq-ref x11-color-list arg-sym))
		 (temp (if temp-1 temp-1 '(0 0 0))))
	      
	      (hashq-create-handle! x11-color-table arg-sym temp)
	      temp))))))

(define-public x11-color (make-x11-color-handler))
